ServerEvents.recipes(GregTechApocalypse => {

  //Bugs/"incorrect things" Fixes
  // Functional storage cheap drawers (1x technically conflicts with quark chest to vanilla chest)
  GregTechApocalypse.remove({id: 'functionalstorage:oak_drawer_alternate_x1'})
  GregTechApocalypse.remove({id: 'functionalstorage:oak_drawer_alternate_x2'})
  GregTechApocalypse.remove({id: 'functionalstorage:oak_drawer_alternate_x4'})
  GregTechApocalypse.remove({id: 'functionalstorage:oak_1'})
  GregTechApocalypse.remove({id: 'functionalstorage:oak_2'})
  GregTechApocalypse.remove({id: 'functionalstorage:oak_4'})
  GregTechApocalypse.remove({id: 'functionalstorage:spruce_1'})
  GregTechApocalypse.remove({id: 'functionalstorage:spruce_2'})
  GregTechApocalypse.remove({id: 'functionalstorage:spruce_4'})
  GregTechApocalypse.remove({id: 'functionalstorage:birch_1'})
  GregTechApocalypse.remove({id: 'functionalstorage:birch_2'})
  GregTechApocalypse.remove({id: 'functionalstorage:birch_4'})
  GregTechApocalypse.remove({id: 'functionalstorage:jungle_1'})
  GregTechApocalypse.remove({id: 'functionalstorage:jungle_2'})
  GregTechApocalypse.remove({id: 'functionalstorage:jungle_4'})
  GregTechApocalypse.remove({id: 'functionalstorage:acacia_1'})
  GregTechApocalypse.remove({id: 'functionalstorage:acacia_2'})
  GregTechApocalypse.remove({id: 'functionalstorage:acacia_4'})
  GregTechApocalypse.remove({id: 'functionalstorage:dark_oak_1'})
  GregTechApocalypse.remove({id: 'functionalstorage:dark_oak_2'})
  GregTechApocalypse.remove({id: 'functionalstorage:dark_oak_4'})
  GregTechApocalypse.remove({id: 'functionalstorage:crimson_1'})
  GregTechApocalypse.remove({id: 'functionalstorage:crimson_2'})
  GregTechApocalypse.remove({id: 'functionalstorage:crimson_4'})
  GregTechApocalypse.remove({id: 'functionalstorage:warped_1'})
  GregTechApocalypse.remove({id: 'functionalstorage:warped_2'})
  GregTechApocalypse.remove({id: 'functionalstorage:warped_4'})
  GregTechApocalypse.remove({id: 'functionalstorage:mangrove_1'})
  GregTechApocalypse.remove({id: 'functionalstorage:mangrove_2'})
  GregTechApocalypse.remove({id: 'functionalstorage:mangrove_4'})
  GregTechApocalypse.remove({id: 'functionalstorage:cherry_1'})
  GregTechApocalypse.remove({id: 'functionalstorage:cherry_2'})
  GregTechApocalypse.remove({id: 'functionalstorage:cherry_4'})

  GregTechApocalypse.remove({id: 'functionalstorage:framed_1'})
  GregTechApocalypse.shaped('functionalstorage:framed_1', ['BBB', 'BAB', 'BBB'], {
    A: 'gtceu:lv_super_chest',
    B: '#forge:treated_wood'
  })
  GregTechApocalypse.remove({id: 'functionalstorage:framed_2'})
  GregTechApocalypse.shaped('functionalstorage:framed_2', ['BAB', 'BBB', 'BAB'], {
    A: 'gtceu:lv_super_chest',
    B: '#forge:treated_wood'
  })
  GregTechApocalypse.remove({id: 'functionalstorage:framed_4'})
  GregTechApocalypse.shaped('functionalstorage:framed_4', ['ABA', 'BBB', 'ABA'], {
    A: 'gtceu:lv_super_chest',
    B: '#forge:treated_wood'
  })

  GregTechApocalypse.remove({ id: 'functionalstorage:fluid_1' })
  GregTechApocalypse.shaped('functionalstorage:fluid_1', ['BCB', 'BAB', 'BBB'], {
    A: 'gtceu:lv_electric_pump',
    B: 'create:fluid_tank',
    C: 'minecraft:bucket'
  })
  GregTechApocalypse.remove({ id: 'functionalstorage:fluid_2' })
  GregTechApocalypse.shaped('functionalstorage:fluid_2', ['BCB', 'BAB', 'BCB'], {
    A: 'gtceu:lv_electric_pump',
    B: 'create:fluid_tank',
    C: 'minecraft:bucket'
  })
  GregTechApocalypse.remove({ id: 'functionalstorage:fluid_4' })
  GregTechApocalypse.shaped('functionalstorage:fluid_4', ['CBC', 'BAB', 'CBC'], {
    A: 'gtceu:lv_electric_pump',
    B: 'create:fluid_tank',
    C: 'minecraft:bucket'
  })
})